function BarProfilerSaveBars()
	BarProfilerDebugPrint("Save Bars function Start")
	local ProfileName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	local SlotLoop
	for SlotLoop = 1, 120 do 
		BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type, BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID, BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].SubType = GetActionInfo(SlotLoop);
	end
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName].DataCheck = 1
	BarProfiler:Print ("Current action bars saved to profile", ProfileName)
end
function BarProfilerLoadBars()
	BarProfilerDebugPrint ("Load Bars function Start")
	local ProfileName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	local SlotLoop
	for SlotLoop = 1, 120 do
		if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type == 'spell' then
			PickupSpell(BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID)
			PlaceAction(SlotLoop);
		elseif BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type == 'item' then
			PickupItem(BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID)
			PlaceAction(SlotLoop);
		elseif BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type == 'macro' then
			PickupMacro(BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID)
			PlaceAction(SlotLoop)
		elseif BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type == 'equipmentset' then
			PickupEquipmentSetByName (BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID)
			PlaceAction(SlotLoop)
		elseif BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].Type == 'companion' then
			if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].SubType == 'MOUNT' then
				for MountLoop = 1, GetNumCompanions("MOUNT") do  
					local creatureID, creatureName, creatureSpellID, icon, issummoned, mountType = GetCompanionInfo("MOUNT", MountLoop)
					if creatureSpellID == BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID then
						PickupCompanion("MOUNT", MountLoop)
						PlaceAction(SlotLoop);
					end
				end
			elseif BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].SubType == 'CRITTER' then
				for CritterLoop = 1, GetNumCompanions("CRITTER") do
					local creatureID, creatureName, creatureSpellID, icon, issummoned, mountType = GetCompanionInfo("CRITTER", CritterLoop)
					if creatureSpellID == BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][SlotLoop].GlobalID then
						PickupCompanion("CRITTER", CritterLoop)
						PlaceAction(SlotLoop)
					end
				end
			end
		else
			PickupAction(SlotLoop)
		end
		ClearCursor()
	end
	BarProfiler:Print("Loaded action bars from profile", ProfileName)
	BarProfilerDebugPrint ("Load Bars function Done")
end